package com.ssj.bean.sys.schoolcopy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 学校备份数据
 * @author Mount Liu
 * @date 2018/1/14
 */
@Entity
@Table(name = "tb_school_copy")
public class SchoolCopy extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 学校（图书馆）名
     */
    private String name;
    /**
     * 创建时间
     */
    private Date createTime;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Column(updatable=false)
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
